Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.borg.ui
Enum MultiView.ViewType

    java.lang.Object
      java.lang.Enum<MultiView.ViewType>
          net.sf.borg.ui.MultiView.ViewType

All Implemented Interfaces:
  Serializable, Comparable<MultiView.ViewType>

Enclosing class:
  MultiView

    public static enum MultiView.ViewType

extends Enum<MultiView.ViewType>

argument values for setView()

Enum Constant Summary
`ADDRESS`
`DAY`
`MEMO`
`MONTH`
`SEARCH`
`TASK`
`TODO`
`WEEK`
`YEAR`

Method Summary
`static MultiView.ViewType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MultiView.ViewType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DAY

    public static final MultiView.ViewType DAY

### MONTH

    public static final MultiView.ViewType MONTH

### WEEK

    public static final MultiView.ViewType WEEK

### YEAR

    public static final MultiView.ViewType YEAR

### TASK

    public static final MultiView.ViewType TASK

### MEMO

    public static final MultiView.ViewType MEMO

### SEARCH

    public static final MultiView.ViewType SEARCH

### TODO

    public static final MultiView.ViewType TODO

### ADDRESS

    public static final MultiView.ViewType ADDRESS

Method Detail

### values

    public static MultiView.ViewType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MultiView.ViewType c : MultiView.ViewType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MultiView.ViewType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic